Subject: bug#60941: closed (Re: [PATCH v3 2/2] gnu: diffoscope: Update to 233.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Jan 2023 01:08:02 +0000

Your bug report

#60941: Update diffoscope to 232

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60941: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60941
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v3 2/2] gnu: diffoscope: Update to 233.
From: Maxim Cournoyer <[email-masked]>
To: Vagrant Cascadian <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Jan 2023 20:07:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Vagrant Cascadian <[email-masked]> writes:

> Fix typo in commit message (python-pdf -> python-pypdf).
>
> Hopefully patchwork will correctly identify the python-pypdf patch as a
> dependency this time...
>
> From 420781d76b8323df36e27dea0cd7561d150f874b Mon Sep 17 00:00:00 2001
> From: Vagrant Cascadian <[email-masked]>
> Date: Sat, 21 Jan 2023 19:17:46 -0800
> Subject: [PATCH 2/2] gnu: diffoscope: Update to 233.
>
> * gnu/packages/diffoscope.scm (diffoscope): Update to 233.
> [native-inputs]: Add lzip and python-pypdf, drop python-pypdf2.

Applied, along with python-pypdf.

-- 
Thanks,
Maxim

Subject: Update diffoscope to 232
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Wed, 18 Jan 2023 17:31:55 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Working on updating diffoscope to 232.

Mostly routine changes. Notable differences are:

* Needed a newer version of python-pypdf, as the python-pypdf2 included
  in guix is too old, referred to as PyPDF2 1.x, newer versions include
  PyPDF2 2.x or PyPdf2 3.x... It is also not PyPDF 1.x or PyPDF 2.x,
  which are very old, and I am not sure where PyPDF3 or PyPDF4 fit in,
  but they exist and one is even packaged in guix... For clarity, and I
  try to say this without laughing, this new package is based on the
  very recently released PyPDF 3.2.1.

* Added lzip to native-inputs and upsteam code

* Dropped mono from upstream code

The upstream diffoscope changes were pushed to git upstream, so can
eventually be dropped once diffoscope 233+ is eventually released.

I have less hope for soring out the pypdf versioning madness.

live well,
  vagrant